Package org.eclipse.ui.actions

## Class ActionFactory

- java.lang.Object
- - org.eclipse.ui.actions.ActionFactory

    public abstract class ActionFactory
    extends Object

Access to standard actions provided by the workbench.

Most of the functionality of this class is provided by static methods and fields. Example usage:

     MenuManager menu = ...;
     ActionFactory.IWorkbenchAction closeEditorAction = ActionFactory.CLOSE.create(window);
     menu.add(closeEditorAction);

Clients may declare other classes that provide additional application-specific action factories.

Since:
  3.0

### Nested Class Summary

Nested Classes
`static interface` `ActionFactory.IWorkbenchAction` Interface for a workbench action.

### Field Summary

Fields
`static ActionFactory` `ABOUT` Workbench action (id: "about", commandId: "org.eclipse.ui.help.aboutAction"): Displays the About dialog.
`static ActionFactory` `ACTIVATE_EDITOR` Workbench action (id: "activateEditor", commandId: "org.eclipse.ui.window.activateEditor"): Activate the most recently used editor.
`static ActionFactory` `BACK` Workbench action (id: "back", commandId: "org.eclipse.ui.navigate.back"): Back.
`static ActionFactory` `BACKWARD_HISTORY` Workbench action (id: "backardHistory", commandId: "org.eclipse.ui.navigate.backwardHistory"): Backward in the navigation history.
`static ActionFactory` `CLOSE` Workbench action (id: "close", commandId: "org.eclipse.ui.file.close"): Close the active editor.
`static ActionFactory` `CLOSE_ALL` Workbench action (id: "closeAll", commandId: "org.eclipse.ui.file.closeAll"): Close all open editors.
`static ActionFactory` `CLOSE_ALL_PERSPECTIVES` Workbench action (id: "closeAllPerspectives", commandId: "org.eclipse.ui.window.closeAllPerspectives"): Closes all perspectives.
`static ActionFactory` `CLOSE_ALL_SAVED` Workbench action (id: "closeAllSaved"): Close all open editors except those with unsaved changes.
`static ActionFactory` `CLOSE_OTHERS` Workbench action (id: "closeOthers", commandId: "org.eclipse.ui.file.closeOthers"): Close all editors except the one that is active.
`static ActionFactory` `CLOSE_PERSPECTIVE` Workbench action (id: "closePerspective", commandId: "org.eclipse.ui.window.closePerspective"): Closes the current perspective.
`static ActionFactory` `COPY` Workbench action (id: "copy", commandId: "org.eclipse.ui.edit.copy"): Copy.
`static ActionFactory` `CUT` Workbench action (id: "cut", commandId: "org.eclipse.ui.edit.cut"): Cut.
`static ActionFactory` `DELETE` Workbench action (id: "delete", commandId: "org.eclipse.ui.edit.delete"): Delete.
`static ActionFactory` `DYNAMIC_HELP` Workbench action (id: "dynamicHelp", commandId: "org.eclipse.ui.help.dynamicHelp"): Open the dynamic help.
`static ActionFactory` `EDIT_ACTION_SETS` Workbench action (id: "editActionSets", commandId: "org.eclipse.ui.window.customizePerspective"): Edit the action sets.
`static ActionFactory` `EXPORT` Workbench action (id: "export", commandId: "org.eclipse.ui.file.export"): Opens the export wizard.
`static ActionFactory` `FIND` Workbench action (id: "find", commandId: "org.eclipse.ui.edit.findReplace"): Find.
`static ActionFactory` `FORWARD` Workbench action (id: "forward", commandId: "org.eclipse.ui.navigate.forward"): Forward.
`static ActionFactory` `FORWARD_HISTORY` Workbench action (id: "forwardHistory", commandId: "org.eclipse.ui.navigate.forwardHistory"): Forward in the navigation history.
`static ActionFactory` `GO_INTO` Workbench action (id: "goInto", commandId: "org.eclipse.ui.navigate.goInto"): Go Into.
`static ActionFactory` `HELP_CONTENTS` Workbench action (id: "helpContents", commandId: "org.eclipse.ui.help.helpContents"): Open the help contents.
`static ActionFactory` `HELP_SEARCH` Workbench action (id: "helpSearch", commandId: "org.eclipse.ui.help.helpSearch"): Open the help search.
`static ActionFactory` `IMPORT` Workbench action (id: "import", commandId: "org.eclipse.ui.file.import"): Opens the import wizard.
`static ActionFactory` `INTRO` Workbench action (id: "intro", commandId: "org.eclipse.ui.help.quickStartAction"): Activate the introduction extension.
`static ActionFactory` `LOCK_TOOL_BAR` Workbench action (id: "lockToolBar"): Lock/unlock the workbench window tool bar.
`static ActionFactory` `MAXIMIZE` Deprecated. you should not use this field, kept for compatibility reasons.
`static ActionFactory` `MINIMIZE` Deprecated. you should not use this field, that is kept for compatibility reasons. use instead the command `org.eclipse.ui.window.minimizePart`.
`static ActionFactory` `MOVE` Workbench action (id: "move", commandId: "org.eclipse.ui.edit.move"): Move.
`static ActionFactory` `NEW` Workbench action (id: "new", commandId: "org.eclipse.ui.newWizard"): Opens the new wizard dialog.
`static ActionFactory` `NEW_EDITOR` Workbench action (id: "newEditor", commandId: "org.eclipse.ui.window.newEditor"): Open a new editor on the active editor's input.
`static ActionFactory` `NEW_WIZARD_DROP_DOWN` Workbench action (id: "newWizardDropDown"): Drop-down action which shows shows the new wizard drop down, or opens the new wizard dialog when pressed.
`static ActionFactory` `NEXT` Workbench action (id: "next", commandId: "org.eclipse.ui.navigate.next"): Next.
`static ActionFactory` `NEXT_EDITOR` Workbench action (id: "nextEditor", commandId: "org.eclipse.ui.window.nextEditor"): Next editor.
`static ActionFactory` `NEXT_PART` Workbench action (id: "nextPart", commandId: "org.eclipse.ui.window.nextView"): Next part.
`static ActionFactory` `NEXT_PERSPECTIVE` Workbench action (id: "nextPerspective", commandId: "org.eclipse.ui.window.nextPerspective"): Next perspective.
`static ActionFactory` `OPEN_NEW_WINDOW` Workbench action (id: "openNewWindow", commandId: "org.eclipse.ui.window.newWindow"): Open a new workbench window.
`static ActionFactory` `OPEN_PERSPECTIVE_DIALOG` Workbench action (id: "openPerspectiveDialog", commandId: "org.eclipse.ui.perspectives.showPerspective"): Open the Open Perspective dialog.
`static ActionFactory` `PASTE` Workbench action (id: "paste", commandId: "org.eclipse.ui.edit.paste"): Paste.
`static ActionFactory` `PREFERENCES` Workbench action (id: "preferences", commandId: "org.eclipse.ui.window.preferences"): Displays the Preferences dialog.
`static ActionFactory` `PREVIOUS` Workbench action (id: "previous", commandId: "org.eclipse.ui.navigate.previous"): Previous.
`static ActionFactory` `PREVIOUS_EDITOR` Workbench action (id: "previousEditor", commandId: "org.eclipse.ui.window.previousEditor"): Previous editor.
`static ActionFactory` `PREVIOUS_PART` Workbench action (id: "previousPart", commandId: "org.eclipse.ui.window.previousView"): Previous part.
`static ActionFactory` `PREVIOUS_PERSPECTIVE` Workbench action (id: "previousPerspective", commandId: "org.eclipse.ui.window.previousPerspective"): Previous perspective.
`static ActionFactory` `PRINT` Workbench action (id: "print", commandId: "org.eclipse.ui.file.print"): Print.
`static ActionFactory` `PROPERTIES` Workbench action (id: "properties", commandId: "org.eclipse.ui.file.properties"): Properties.
`static ActionFactory` `QUIT` Workbench action (id: "quit", commandId: "org.eclipse.ui.file.exit"): Quit (close the workbench).
`static ActionFactory` `REDO` Workbench action (id: "redo", commandId: "org.eclipse.ui.edit.redo"): Redo.
`static ActionFactory` `REFRESH` Workbench action (id: "refresh", commandId: "org.eclipse.ui.file.refresh"): Refresh.
`static ActionFactory` `RENAME` Workbench action (id: "rename", commandId: "org.eclipse.ui.edit.rename"): Rename.
`static ActionFactory` `RESET_PERSPECTIVE` Workbench action (id: "resetPerspective", commandId: "org.eclipse.ui.window.resetPerspective"): Resets the current perspective.
`static ActionFactory` `REVERT` Workbench action (id: "revert", commandId: "org.eclipse.ui.file.revert"): Revert.
`static ActionFactory` `SAVE` Workbench action (id: "save", commandId: "org.eclipse.ui.file.save"): Save the active editor.
`static ActionFactory` `SAVE_ALL` Workbench action (id: "saveAll", commandId: "org.eclipse.ui.file.saveAll"): Save all open editors with unsaved changes.
`static ActionFactory` `SAVE_AS` Workbench action (id: "saveAs", commandId: "org.eclipse.ui.file.saveAs"): Save As for the active editor.
`static ActionFactory` `SAVE_PERSPECTIVE` Workbench action (id: "savePerspective", commandId: "org.eclipse.ui.window.savePerspective"): Save the current perspective.
`static ActionFactory` `SELECT_ALL` Workbench action (id: "selectAll", commandId: "org.eclipse.ui.edit.selectAll"): Select All.
`static ActionFactory` `SHOW_EDITOR` Workbench action (id: "showEditor"): Show/hide the editor area.
`static ActionFactory` `SHOW_OPEN_EDITORS` Workbench action (id: "showOpenEditors"): Show a list of open (and recently closed) editors.
`static ActionFactory` `SHOW_PART_PANE_MENU` Workbench action (id: "showPartPaneMenu"): Show the part pane menu.
`static ActionFactory` `SHOW_QUICK_ACCESS` Workbench action (id: "showQuickAccess"): Shows a list of UI elements like editors, views, perspectives etc.
`static ActionFactory` `SHOW_VIEW_MENU` Workbench action (id: "showViewMenu", commandId: "org.eclipse.ui.window.showViewMenu"): Show the view menu.
`static ActionFactory` `SHOW_WORKBOOK_EDITORS` Workbench action (id: "showWorkbookEditors"): Shows a list of open editors in the current or last active workbook.
`static ActionFactory` `TOGGLE_COOLBAR` Workbench action (id: "toggleCoolbar"): Toggle the visibility of the coolbar and perspective switcher.
`static ActionFactory` `UNDO` Workbench action (id: "undo", commandId: "org.eclipse.ui.edit.undo"): Undo.
`static ActionFactory` `UP` Workbench action (id: "up", commandId: "org.eclipse.ui.navigate.up"): Up.

### Constructor Summary

Constructors
`protected` `ActionFactory​(String actionId)` Creates a new workbench action factory with the given id.
`protected` `ActionFactory​(String actionId, String commandId)` Create a new workbench action factory with the given IDs.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract ActionFactory.IWorkbenchAction` `create​(IWorkbenchWindow window)` Creates a new standard action for the given workbench window.
`String` `getCommandId()` Return the command id of this action factory.
`String` `getId()` Returns the id of this action factory.
`static void` `linkCycleActionPair​(ActionFactory.IWorkbenchAction next, ActionFactory.IWorkbenchAction previous)` Establishes bi-direction connections between the forward and backward actions of a cycle pair.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ABOUT

    public static final ActionFactory ABOUT

Workbench action (id: "about", commandId: "org.eclipse.ui.help.aboutAction"): Displays the About dialog. This action maintains its enablement state.

#### ACTIVATE_EDITOR

    public static final ActionFactory ACTIVATE_EDITOR

Workbench action (id: "activateEditor", commandId: "org.eclipse.ui.window.activateEditor"): Activate the most recently used editor. This action maintains its enablement state.

#### BACK

    public static final ActionFactory BACK

Workbench action (id: "back", commandId: "org.eclipse.ui.navigate.back"): Back. This action is a `RetargetAction` with id "back". This action maintains its enablement state.

#### BACKWARD_HISTORY

    public static final ActionFactory BACKWARD_HISTORY

Workbench action (id: "backardHistory", commandId: "org.eclipse.ui.navigate.backwardHistory"): Backward in the navigation history. This action maintains its enablement state.

#### CLOSE

    public static final ActionFactory CLOSE

Workbench action (id: "close", commandId: "org.eclipse.ui.file.close"): Close the active editor. This action maintains its enablement state.

#### CLOSE_ALL

    public static final ActionFactory CLOSE_ALL

Workbench action (id: "closeAll", commandId: "org.eclipse.ui.file.closeAll"): Close all open editors. This action maintains its enablement state.

#### CLOSE_OTHERS

    public static final ActionFactory CLOSE_OTHERS

Workbench action (id: "closeOthers", commandId: "org.eclipse.ui.file.closeOthers"): Close all editors except the one that is active. This action maintains its enablement state.

Since:
  3.2

#### CLOSE_ALL_PERSPECTIVES

    public static final ActionFactory CLOSE_ALL_PERSPECTIVES

Workbench action (id: "closeAllPerspectives", commandId: "org.eclipse.ui.window.closeAllPerspectives"): Closes all perspectives. This action maintains its enablement state.

#### CLOSE_ALL_SAVED

    public static final ActionFactory CLOSE_ALL_SAVED

Workbench action (id: "closeAllSaved"): Close all open editors except those with unsaved changes. This action maintains its enablement state.

#### CLOSE_PERSPECTIVE

    public static final ActionFactory CLOSE_PERSPECTIVE

Workbench action (id: "closePerspective", commandId: "org.eclipse.ui.window.closePerspective"): Closes the current perspective. This action maintains its enablement state.

#### INTRO

    public static final ActionFactory INTRO

Workbench action (id: "intro", commandId: "org.eclipse.ui.help.quickStartAction"): Activate the introduction extension. This action should not be instantiated if no intro is provided. Use code like:

     if (window.getWorkbench().getIntroManager().hasIntro()) {
            introAction = ActionFactory.INTRO.create(window);
            register(introAction);
     }

#### COPY

    public static final ActionFactory COPY

Workbench action (id: "copy", commandId: "org.eclipse.ui.edit.copy"): Copy. This action is a `RetargetAction` with id "copy". This action maintains its enablement state.

#### CUT

    public static final ActionFactory CUT

Workbench action (id: "cut", commandId: "org.eclipse.ui.edit.cut"): Cut. This action is a `RetargetAction` with id "cut". This action maintains its enablement state.

#### DELETE

    public static final ActionFactory DELETE

Workbench action (id: "delete", commandId: "org.eclipse.ui.edit.delete"): Delete. This action is a `RetargetAction` with id "delete". This action maintains its enablement state.

#### EDIT_ACTION_SETS

    public static final ActionFactory EDIT_ACTION_SETS

Workbench action (id: "editActionSets", commandId: "org.eclipse.ui.window.customizePerspective"): Edit the action sets. This action maintains its enablement state.

#### EXPORT

    public static final ActionFactory EXPORT

Workbench action (id: "export", commandId: "org.eclipse.ui.file.export"): Opens the export wizard. This action maintains its enablement state.

#### FIND

    public static final ActionFactory FIND

Workbench action (id: "find", commandId: "org.eclipse.ui.edit.findReplace"): Find. This action is a `RetargetAction` with id "find". This action maintains its enablement state.

#### FORWARD

    public static final ActionFactory FORWARD

Workbench action (id: "forward", commandId: "org.eclipse.ui.navigate.forward"): Forward. This action is a `RetargetAction` with id "forward". This action maintains its enablement state.

#### FORWARD_HISTORY

    public static final ActionFactory FORWARD_HISTORY

Workbench action (id: "forwardHistory", commandId: "org.eclipse.ui.navigate.forwardHistory"): Forward in the navigation history. This action maintains its enablement state.

#### GO_INTO

    public static final ActionFactory GO_INTO

Workbench action (id: "goInto", commandId: "org.eclipse.ui.navigate.goInto"): Go Into. This action is a `RetargetAction` with id "goInto". This action maintains its enablement state.

#### IMPORT

    public static final ActionFactory IMPORT

Workbench action (id: "import", commandId: "org.eclipse.ui.file.import"): Opens the import wizard. This action maintains its enablement state.

#### LOCK_TOOL_BAR

    public static final ActionFactory LOCK_TOOL_BAR

Workbench action (id: "lockToolBar"): Lock/unlock the workbench window tool bar. This action maintains its enablement state.

#### MAXIMIZE

    @Deprecated
    public static final ActionFactory MAXIMIZE

Deprecated.
you should not use this field, kept for compatibility reasons. use instead the command `org.eclipse.ui.window.maximizePart`.
Workbench action (id: "maximize", commandId: "org.eclipse.ui.window.maximizePart"): Maximize/restore the active part. This action maintains its enablement state.

#### MINIMIZE

    @Deprecated
    public static final ActionFactory MINIMIZE

Deprecated.
you should not use this field, that is kept for compatibility reasons. use instead the command `org.eclipse.ui.window.minimizePart`.
Workbench action (id: "minimize", commandId: "org.eclipse.ui.window.minimizePart"): Minimizes the active part. This action maintains its enablement state.

Since:
  3.1

#### MOVE

    public static final ActionFactory MOVE

Workbench action (id: "move", commandId: "org.eclipse.ui.edit.move"): Move. This action is a `RetargetAction` with id "move". This action maintains its enablement state.

#### NEW

    public static final ActionFactory NEW

Workbench action (id: "new", commandId: "org.eclipse.ui.newWizard"): Opens the new wizard dialog. This action maintains its enablement state.

#### NEW_WIZARD_DROP_DOWN

    public static final ActionFactory NEW_WIZARD_DROP_DOWN

Workbench action (id: "newWizardDropDown"): Drop-down action which shows shows the new wizard drop down, or opens the new wizard dialog when pressed. For use in the toolbar. This action maintains its enablement state.

Since:
  3.1

#### NEXT

    public static final ActionFactory NEXT

Workbench action (id: "next", commandId: "org.eclipse.ui.navigate.next"): Next. This action is a `RetargetAction` with id "next". This action maintains its enablement state.

#### NEXT_EDITOR

    public static final ActionFactory NEXT_EDITOR

Workbench action (id: "nextEditor", commandId: "org.eclipse.ui.window.nextEditor"): Next editor. This action maintains its enablement state.

`NEXT_EDITOR` and `PREVIOUS_EDITOR` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### NEXT_PART

    public static final ActionFactory NEXT_PART

Workbench action (id: "nextPart", commandId: "org.eclipse.ui.window.nextView"): Next part. This action maintains its enablement state.

`NEXT_PART` and `PREVIOUS_PART` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### NEXT_PERSPECTIVE

    public static final ActionFactory NEXT_PERSPECTIVE

Workbench action (id: "nextPerspective", commandId: "org.eclipse.ui.window.nextPerspective"): Next perspective. This action maintains its enablement state.

`NEXT_PERSPECTIVE` and `PREVIOUS_PERSPECTIVE` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### OPEN_NEW_WINDOW

    public static final ActionFactory OPEN_NEW_WINDOW

Workbench action (id: "openNewWindow", commandId: "org.eclipse.ui.window.newWindow"): Open a new workbench window. This action maintains its enablement state.

#### PASTE

    public static final ActionFactory PASTE

Workbench action (id: "paste", commandId: "org.eclipse.ui.edit.paste"): Paste. This action is a `RetargetAction` with id "paste". This action maintains its enablement state.

#### PREFERENCES

    public static final ActionFactory PREFERENCES

Workbench action (id: "preferences", commandId: "org.eclipse.ui.window.preferences"): Displays the Preferences dialog. This action maintains its enablement state.

#### PREVIOUS

    public static final ActionFactory PREVIOUS

Workbench action (id: "previous", commandId: "org.eclipse.ui.navigate.previous"): Previous. This action is a `RetargetAction` with id "previous". This action maintains its enablement state.

#### PREVIOUS_EDITOR

    public static final ActionFactory PREVIOUS_EDITOR

Workbench action (id: "previousEditor", commandId: "org.eclipse.ui.window.previousEditor"): Previous editor. This action maintains its enablement state.

`NEXT_EDITOR` and `PREVIOUS_EDITOR` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### PREVIOUS_PART

    public static final ActionFactory PREVIOUS_PART

Workbench action (id: "previousPart", commandId: "org.eclipse.ui.window.previousView"): Previous part. This action maintains its enablement state.

`NEXT_PART` and `PREVIOUS_PART` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### PREVIOUS_PERSPECTIVE

    public static final ActionFactory PREVIOUS_PERSPECTIVE

Workbench action (id: "previousPerspective", commandId: "org.eclipse.ui.window.previousPerspective"): Previous perspective. This action maintains its enablement state.

`NEXT_PERSPECTIVE` and `PREVIOUS_PERSPECTIVE` form a cycle action pair. For a given window, use `ActionFactory.linkCycleActionPair` to connect the two.

#### PRINT

    public static final ActionFactory PRINT

Workbench action (id: "print", commandId: "org.eclipse.ui.file.print"): Print. This action is a `RetargetAction` with id "print". This action maintains its enablement state.

#### PROPERTIES

    public static final ActionFactory PROPERTIES

Workbench action (id: "properties", commandId: "org.eclipse.ui.file.properties"): Properties. This action is a `RetargetAction` with id "properties". This action maintains its enablement state.

#### QUIT

    public static final ActionFactory QUIT

Workbench action (id: "quit", commandId: "org.eclipse.ui.file.exit"): Quit (close the workbench). This action maintains its enablement state.

#### REDO

    public static final ActionFactory REDO

Workbench action (id: "redo", commandId: "org.eclipse.ui.edit.redo"): Redo. This action is a `RetargetAction` with id "redo". This action maintains its enablement state.

#### REFRESH

    public static final ActionFactory REFRESH

Workbench action (id: "refresh", commandId: "org.eclipse.ui.file.refresh"): Refresh. This action is a `RetargetAction` with id "refresh". This action maintains its enablement state.

#### RENAME

    public static final ActionFactory RENAME

Workbench action (id: "rename", commandId: "org.eclipse.ui.edit.rename"): Rename. This action is a `RetargetAction` with id "rename". This action maintains its enablement state.

#### RESET_PERSPECTIVE

    public static final ActionFactory RESET_PERSPECTIVE

Workbench action (id: "resetPerspective", commandId: "org.eclipse.ui.window.resetPerspective"): Resets the current perspective. This action maintains its enablement state.

#### REVERT

    public static final ActionFactory REVERT

Workbench action (id: "revert", commandId: "org.eclipse.ui.file.revert"): Revert. This action is a `RetargetAction` with id "revert". This action maintains its enablement state.

#### SAVE

    public static final ActionFactory SAVE

Workbench action (id: "save", commandId: "org.eclipse.ui.file.save"): Save the active editor. This action maintains its enablement state.

#### SAVE_ALL

    public static final ActionFactory SAVE_ALL

Workbench action (id: "saveAll", commandId: "org.eclipse.ui.file.saveAll"): Save all open editors with unsaved changes. This action maintains its enablement state.

#### SAVE_AS

    public static final ActionFactory SAVE_AS

Workbench action (id: "saveAs", commandId: "org.eclipse.ui.file.saveAs"): Save As for the active editor. This action maintains its enablement state.

#### SAVE_PERSPECTIVE

    public static final ActionFactory SAVE_PERSPECTIVE

Workbench action (id: "savePerspective", commandId: "org.eclipse.ui.window.savePerspective"): Save the current perspective. This action maintains its enablement state.

#### SELECT_ALL

    public static final ActionFactory SELECT_ALL

Workbench action (id: "selectAll", commandId: "org.eclipse.ui.edit.selectAll"): Select All. This action is a `RetargetAction` with id "selectAll". This action maintains its enablement state.

#### SHOW_EDITOR

    public static final ActionFactory SHOW_EDITOR

Workbench action (id: "showEditor"): Show/hide the editor area. This action maintains its enablement state.

#### SHOW_OPEN_EDITORS

    public static final ActionFactory SHOW_OPEN_EDITORS

Workbench action (id: "showOpenEditors"): Show a list of open (and recently closed) editors. This action maintains its enablement state.

#### SHOW_WORKBOOK_EDITORS

    public static final ActionFactory SHOW_WORKBOOK_EDITORS

Workbench action (id: "showWorkbookEditors"): Shows a list of open editors in the current or last active workbook.

#### SHOW_QUICK_ACCESS

    public static final ActionFactory SHOW_QUICK_ACCESS

Workbench action (id: "showQuickAccess"): Shows a list of UI elements like editors, views, perspectives etc.

Since:
  3.3

#### SHOW_PART_PANE_MENU

    public static final ActionFactory SHOW_PART_PANE_MENU

Workbench action (id: "showPartPaneMenu"): Show the part pane menu. This action maintains its enablement state.

#### SHOW_VIEW_MENU

    public static final ActionFactory SHOW_VIEW_MENU

Workbench action (id: "showViewMenu", commandId: "org.eclipse.ui.window.showViewMenu"): Show the view menu. This action maintains its enablement state.

#### UNDO

    public static final ActionFactory UNDO

Workbench action (id: "undo", commandId: "org.eclipse.ui.edit.undo"): Undo. This action is a `RetargetAction` with id "undo". This action maintains its enablement state.

#### UP

    public static final ActionFactory UP

Workbench action (id: "up", commandId: "org.eclipse.ui.navigate.up"): Up. This action is a `RetargetAction` with id "up". This action maintains its enablement state.

#### HELP_CONTENTS

    public static final ActionFactory HELP_CONTENTS

Workbench action (id: "helpContents", commandId: "org.eclipse.ui.help.helpContents"): Open the help contents. This action is always enabled.

#### HELP_SEARCH

    public static final ActionFactory HELP_SEARCH

Workbench action (id: "helpSearch", commandId: "org.eclipse.ui.help.helpSearch"): Open the help search. This action is always enabled.

Since:
  3.1

#### DYNAMIC_HELP

    public static final ActionFactory DYNAMIC_HELP

Workbench action (id: "dynamicHelp", commandId: "org.eclipse.ui.help.dynamicHelp"): Open the dynamic help. This action is always enabled.

Since:
  3.1

#### OPEN_PERSPECTIVE_DIALOG

    public static final ActionFactory OPEN_PERSPECTIVE_DIALOG

Workbench action (id: "openPerspectiveDialog", commandId: "org.eclipse.ui.perspectives.showPerspective"): Open the Open Perspective dialog. This action is always enabled.

Since:
  3.1

#### NEW_EDITOR

    public static final ActionFactory NEW_EDITOR

Workbench action (id: "newEditor", commandId: "org.eclipse.ui.window.newEditor"): Open a new editor on the active editor's input. This action maintains its enablement state.

Since:
  3.1

#### TOGGLE_COOLBAR

    public static final ActionFactory TOGGLE_COOLBAR

Workbench action (id: "toggleCoolbar"): Toggle the visibility of the coolbar and perspective switcher. This will only enable visibility of the coolbar and perspective bar if the window advisor creating the window allowed for their visibility initially.

Since:
  3.3

### Constructor Detail

#### ActionFactory

    protected ActionFactory​(String actionId)

Creates a new workbench action factory with the given id.

Parameters:
  `actionId` - the id of actions created by this action factory

#### ActionFactory

    protected ActionFactory​(String actionId,
                            String commandId)

Create a new workbench action factory with the given IDs.

Parameters:
  `actionId` - the id of actions created by this action factory
  `commandId` - the matching command id
Since:
  3.5

### Method Detail

#### linkCycleActionPair

    public static void linkCycleActionPair​(ActionFactory.IWorkbenchAction next,
                                           ActionFactory.IWorkbenchAction previous)

Establishes bi-direction connections between the forward and backward actions of a cycle pair.

Example usage:

     ActionFactory.IWorkbenchAction nextEditorAction = ActionFactory.NEXT_EDITOR.create(window);
     ActionFactory.IWorkbenchAction previousEditorAction = ActionFactory.PREVIOUS_EDITOR.create(window);
     ActionFactory.linkCycleActionPair(nextEditorAction, previousEditorAction);

Parameters:
  `next` - the action that moves forward
  `previous` - the action that moves backward

#### create

    public abstract ActionFactory.IWorkbenchAction create​(IWorkbenchWindow window)

Creates a new standard action for the given workbench window. The action has an id as specified by the particular factory.

Actions automatically register listeners against the workbench window so that they can keep their enablement state up to date. Ordinarily, the window's references to these listeners will be dropped automatically when the window closes. However, if the client needs to get rid of an action while the window is still open, the client must call `dispose`to give the action an opportunity to deregister its listeners and to perform any other cleanup.

Parameters:
  `window` - the workbench window
Returns:
  the workbench action

#### getId

    public String getId()

Returns the id of this action factory.

Returns:
  the id of actions created by this action factory

#### getCommandId

    public String getCommandId()

Return the command id of this action factory.

Returns:
  the command id of the action created by this action factory. May be `null`.
Since:
  3.5